AntiFeatures:
  - NonFreeNet
  - Tracking
Categories:
  - Internet
License: MPL-2.0
AuthorName: The Blokada Community
AuthorEmail: hello@blokada.org
WebSite: https://blokada.org
SourceCode: https://github.com/blokadaorg/blokada
IssueTracker: https://github.com/blokadaorg/blokada/issues
Changelog: https://go.blokada.org/changelog
Donate: https://go.blokada.org/donate
Bitcoin: 16rJ49uNKCohVhHvWNganP6Y48Ba9BTyKd

Name: Blokada 5 (ad blocker and privacy app)

RepoType: git
Repo: https://github.com/blokadaorg/blokada.git

Builds:
  - versionName: 5.5.0
    versionCode: 505000000
    commit: android-v5.5.0
    subdir: android5/app
    gradle:
      - droid
    srclibs:
      - rustup@1.22.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
      - sed -i -e 's/6.6-rc-6/6.6/' ../gradle/wrapper/gradle-wrapper.properties
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk
      - git submodule update --init --recursive
      - export ANDROID_NDK=$$NDK$$
      - cd ./../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r21d

  - versionName: 5.6.0
    versionCode: 506000000
    commit: android-v5.6.0
    subdir: android5/app
    gradle:
      - droid
    srclibs:
      - rustup@1.22.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
      - sed -i -e 's/6.6-rc-6/6.6/' ../gradle/wrapper/gradle-wrapper.properties
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk
      - git submodule update --init --recursive
      - export ANDROID_NDK=$$NDK$$
      - cd ./../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r21d

  - versionName: 5.7.0
    versionCode: 507000000
    commit: android-v5.7.0
    subdir: android5/app
    gradle:
      - droid
    srclibs:
      - rustup@1.22.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
      - sed -i -e 's/6.6-rc-6/6.6/' ../gradle/wrapper/gradle-wrapper.properties
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk --version 1.0.0
      - git submodule update --init --recursive
      - export ANDROID_NDK=$$NDK$$
      - cd ./../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r21d

  - versionName: 5.8.0
    versionCode: 508000000
    commit: android-v5.8.0
    subdir: android5/app
    gradle:
      - droid
    srclibs:
      - rustup@1.22.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
      - sed -i -e 's/6.6-rc-6/6.6/' ../gradle/wrapper/gradle-wrapper.properties
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk --version 1.0.0
      - git submodule update --init --recursive
      - export ANDROID_NDK=$$NDK$$
      - cd ./../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r21d

  - versionName: 5.9.0
    versionCode: 509000000
    commit: android-v5.9.0
    subdir: android5/app
    gradle:
      - droid
    srclibs:
      - rustup@1.22.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
      - sed -i -e 's/6.6-rc-6/6.6/' ../gradle/wrapper/gradle-wrapper.properties
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk --version 1.0.0
      - git submodule update --init --recursive
      - export ANDROID_NDK=$$NDK$$
      - cd ./../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r21d

  - versionName: 5.10.1
    versionCode: 510000001
    commit: android-v5.10.1
    subdir: android5/app
    gradle:
      - droid
    srclibs:
      - rustup@1.22.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
      - sed -i -e 's/6.6-rc-6/6.6/' ../gradle/wrapper/gradle-wrapper.properties
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk --version 1.0.0
      - git submodule update --init --recursive
      - export ANDROID_NDK=$$NDK$$
      - cd ./../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r21d

  - versionName: 5.12.0
    versionCode: 512000000
    commit: android-v5.12.0
    subdir: android5/app
    submodules: true
    gradle:
      - droid
    srclibs:
      - rustup@1.23.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk --version 1.0.0
      - export ANDROID_NDK=$$NDK$$
      - cd ../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r21e

  - versionName: 5.13.0
    versionCode: 513000000
    commit: b85cde236ef42dd36e70d523eae5f942c352eef2
    subdir: android5/app
    submodules: true
    gradle:
      - droid
    srclibs:
      - rustup@1.23.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk --version 1.0.0
      - export ANDROID_NDK=$$NDK$$
      - cd ../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r21e

  - versionName: 5.14.4
    versionCode: 514000004
    commit: 2efaa5d36eda335c86122a553515c8a18fa92d48
    subdir: android5/app
    submodules: true
    gradle:
      - droid
    srclibs:
      - rustup@1.23.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk --version 1.0.0
      - export ANDROID_NDK=$$NDK$$
      - cd ../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r21e

  - versionName: 5.15.0
    versionCode: 515000000
    commit: 99328168c5ffc5b30b3a5fd8b74d3eff07a33445
    subdir: android5/app
    submodules: true
    gradle:
      - droid
    srclibs:
      - rustup@1.23.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk --version 1.0.0
      - export ANDROID_NDK=$$NDK$$
      - cd ../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r21e

  - versionName: 5.16.0
    versionCode: 516000000
    commit: 3d8e9e49d8d735eb06baf8fff71c65a3c2ec9cd1
    subdir: android5/app
    submodules: true
    gradle:
      - droid
    srclibs:
      - rustup@1.23.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk --version 1.0.0
      - export ANDROID_NDK=$$NDK$$
      - cd ../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r21e

  - versionName: 5.17.2
    versionCode: 517000002
    commit: 15a4d013965f921c118d6b9b392b9f83d892f8a9
    subdir: android5/app
    submodules: true
    gradle:
      - droid
    srclibs:
      - rustup@1.23.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk --version 1.0.0
      - export ANDROID_NDK=$$NDK$$
      - cd ../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r21e

  - versionName: 5.18.0
    versionCode: 518000000
    commit: c4aab80dcdb86d938893cedd76aa49860dff5103
    subdir: android5/app
    submodules: true
    gradle:
      - droid
    srclibs:
      - rustup@1.23.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk --version 1.0.0
      - export ANDROID_NDK=$$NDK$$
      - cd ../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r21e

  - versionName: 5.20.1
    versionCode: 520000001
    disable: ndk r24
    commit: 28f8d19e3a0431e54201e030b2ca558d5e5b44c1
    subdir: android5/app
    submodules: true
    gradle:
      - droid
    srclibs:
      - rustup@1.23.1
    rm:
      - android5/app/src/engine/jniLibs
    prebuild:
      - unzip -P default_blocklist src/main/assets/default_blocklist.zip default_blocklist
        -d src/main/assets
      - rm src/main/assets/default_blocklist.zip
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default stable
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - cargo install cargo-ndk --version 1.0.0
      - export ANDROID_NDK=$$NDK$$
      - cd ../..
      - ./build.boringtun.sh
      - ./build.blocka.sh
    ndk: r24

AutoUpdateMode: Version android-v%v
UpdateCheckMode: Tags ^android-v[0-9.]+$
CurrentVersion: 5.20.1
CurrentVersionCode: 520000001
